Source: r-cran-rcurl
Standards-Version: 4.7.4
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-bitops,
 libcurl4-openssl-dev,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
Homepage: https://cran.r-project.org/package=RCurl
Rules-Requires-Root: no

Package: r-cran-rcurl
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: General Network (HTTP/FTP/...) Client Interface for R
 A wrapper for 'libcurl' <https://curl.se/libcurl/> Provides functions to allow
 one to compose general HTTP requests and provides convenient functions
 to fetch URIs, get & post forms, etc. and process the results returned by
 the Web server. This provides a great deal of control over the HTTP/FTP/...
 connection and the form of the request while providing a higher-level
 interface than is available just using R socket connections. Additionally, the
 underlying implementation is robust and extensive, supporting FTP/FTPS/TFTP
 (uploads and downloads), SSL/HTTPS, telnet, dict, ldap, and also supports
 cookies, redirects, authentication, etc.
